#include <core/Logger.h>
#include <core/Utility.h>
#include <locale.h>
#include <string.h>

#include "Tests.h"

int main(int argAmount, char** args) {
    setlocale(LC_ALL, "en_US.utf8");
    if(argAmount < 3) {
        LOG_ERROR("missing path to images and/or mode");
        return 0;
    } else if(strcmp("test", args[2]) == 0) {
        testImageReader(args[1]);
        testNetwork();
    } else if(strcmp("window", args[2]) == 0) {
        testWindow();
    }
    finalizeTests();
    printMemoryReport();
    return 0;
}
